Signal::Pending(3)

NAME
Signal::Pending - Signal pending status made easy

VERSION
version 0.008

SYNOPSIS
 use Signal::Mask;
 use Signal::Pending;

 {
     local $Signal::Mask{INT} = 1;
     do {
                 something();
     } while (not $Signal::Pending{INT})
 }
 #signal delivery gets postponed until now

DESCRIPTION
Signal::Pending is an abstraction around your process'/thread's pending signals. It can be used in combination with signal masks to handle signals in a controlled manner. The set of pending signals is available as the global hash %Signal::Pending.

AUTHOR
Leon Timmermans <fawaka@gmail.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2010 by Leon Timmermans.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.